//https://www.youtube.com/BitaBit
//https://bitabittecnologia.com.br

//Link para o vídeo deste projeto:
//https://youtu.be/KQEbI2tqM5A

#include "SoftwareSerial.h"
#include "DFRobotDFPlayerMini.h"
#include "Keyboard.h"

#define VOLUME 30
#define BOTAO_ENTER 4
#define QUANTIDADE_DE_AUDIO 12

DFRobotDFPlayerMini playerMini;
SoftwareSerial sf(8, 9); //8-RX, 9-TX

int tocarAudio = 0;
bool pressionado = false;

void setup() 
{
  pinMode(BOTAO_ENTER, INPUT_PULLUP);

  Serial.begin(9600); //Inicializa a Serial
  sf.begin(9600); //Inicializa o SoftwareSerial

  Serial.println("Inicializando, aguarde...");
  Serial.println();

//Inicializa o módulo
if (!playerMini.begin(sf)) 
  {
    Serial.println("Não foi possível inicializar.");
    Serial.println("Verifique as conexões e se o cartão está inserido!");
    while(true); 
  }

    Serial.println("Inicializado com sucesso!");
    Serial.println();
    
    playerMini.setTimeOut(500);
    
    playerMini.volume(VOLUME);

    randomSeed(analogRead(0));
}

void loop() 
{
  if(!digitalRead(BOTAO_ENTER))
  {
    if(!pressionado)
    {
      pressionado = true;

      tocarAudio = random(1, QUANTIDADE_DE_AUDIO + 1);
      playerMini.play(tocarAudio);

      Keyboard.press(KEY_RETURN);
      Keyboard.release(KEY_RETURN);

      Serial.println(tocarAudio);
    }
  }
  else
  {
    pressionado = false;
  }

  delay(100);
}
